LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XSerialNumberAdapter Interface Reference

Interface of Certificate Serial Number Converter. More...

`import"XSerialNumberAdapter.idl";`

Inheritance diagram for XSerialNumberAdapter:

## Public Member Functions
string | toString ([in]sequence< byte > SerialNumber)
| Convert the SerialNumber to a string. More...
sequence< byte > | toSequence ([in]string SerialNumber)
| Convert the SerialNumber to a sequence. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Certificate Serial Number Converter.

This interface converts a certificate serial number to and from a string

## Member Function Documentation

sequence< byte > toSequence | ( | [in] string | SerialNumber | ) |

Convert the SerialNumber to a sequence.

string toString | ( | [in] sequence< byte > | SerialNumber | ) |

Convert the SerialNumber to a string.

The documentation for this interface was generated from the following file:

- com/sun/star/security/XSerialNumberAdapter.idl